# SourcePath: libusb/20170517dev
Summary: Library which allows userspace access to USB devices
Name: sony-target-dev-libusb
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libusb
Version: 1.0.21
Release: 14020002
Source: libusb-%{version}.tar.bz2
URL: http://libusb.wiki.sourceforge.net/
License: LGPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define targetroot %{sony_target_dir}


%description
libusb is a library which allows userspace application access to USB devices.

%package -n %{pkgname}
Summary: Library which allows userspace access to USB devices
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libusb is a library which allows userspace application access to USB devices.


%prep
%setup -n libusb-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-build-docs --disable-udev
cat ../libusb-1.0.pc.in | sed -e s!@exec_prefix@!\${prefix}! \
    -e s!@libdir@!\${exec_prefix}/lib! \
    -e s!@includedir@!/tool/\${prefix}/include! \
> ../pc-tmp
mv ../pc-tmp ../libusb-1.0.pc.in
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall
%demangle_libtool

# for 6.x
  mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}

  mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
  mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
     ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}


# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb-1.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb-1.0.so.0.1.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb-1.0.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb-1.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libusb-1.0.la
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libusb-1.0.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libusb-1.0.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/libusb-1.0/libusb.h


%changelog
* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Wed May 17 2017 Sony Corporation
- Initial build.
